# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/skryptersi/route_plan/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/skryptersi/route_plan/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Skryptersi\\RoutePlan\\": "packages/skryptersi/route_plan/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Skryptersi\RoutePlan\Providers\RoutePlanServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'RoutePlan'  => Skryptersi\RoutePlan\Facades\RoutePlan::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Skryptersi\\RoutePlanTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Skryptersi\RoutePlan\Providers\RoutePlanServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Skryptersi\RoutePlan\Providers\RoutePlanServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Skryptersi\RoutePlan\Providers\RoutePlanServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/route_plan/{modulename}

**User**

    http://path-to-route-folder/user/route_plan/{modulename}

**Public**

    http://path-to-route-folder/route_plans


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/route_plan/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/route_plan/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/route_plan/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/route_plan/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/route_plan/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/route_plan/{modulename}/{slug}
    METHOD: GET