Lavalite package that provides route_plan management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `skryptersi/route_plan`.

    "skryptersi/route_plan": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Skryptersi\RoutePlan\Providers\RoutePlanServiceProvider::class,

And also add it to alias

    'RoutePlan'  => Skryptersi\RoutePlan\Facades\RoutePlan::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Skryptersi\\RoutePlanTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Skryptersi\RoutePlan\Providers\RoutePlanServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Skryptersi\RoutePlan\Providers\RoutePlanServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Skryptersi\RoutePlan\Providers\RoutePlanServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/route_plan/{modulename}

**User**

    http://path-to-route-folder/user/route_plan/{modulename}

**Public**

    http://path-to-route-folder/route_plans


### API endpoints

**List**

    http://path-to-route-folder/api/user/route_plan/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/route_plan/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/route_plan/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/route_plan/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/route_plan/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/route_plan/{modulename}/{slug}
    METHOD: GET